%% Hysteresis model after Takacs, Meszaros
% Fit function for least-square parameter estimation

% Mathias Lindner
% March 2014

%%
function F = fit_hysteresis(par, h_up, h_dn, b_up, b_dn, n_par_h)
	%calc heredity curves
	b_fit_up = ...
		func_hysteresis_up(par,h_up,n_par_h);
	b_fit_dn = ...
		func_hysteresis_dn(par,h_dn,n_par_h);

	% calc weighted error
	F = [b_fit_up-b_up, b_fit_dn-b_dn];
end
		
		
		