%% Hysteresis model after Takacs, Meszaros
% Local optimization

% Mathias Lindner
% March 2014



%% Fit static curve
[par_s, resnorm_s, residual_s, exit_s, out_s] = lsqnonlin(anonym_func, ...
	par_s_ms, par_lb_s,par_ub_s, opt_par_s);




%% Fit heredity part
% take result from static fit for further calculations
par_h_ms = [par_h_ms(1:n_par_h); par_s];

% complete optimization (static + heredity)
[par_h_c, resnorm_h_c, residual_h_c, exit_h_c, out_h_c] = ...
	lsqnonlin(anonym_func_c, par_h_ms,par_lb_h,par_ub_h, opt_par_h);

par_h = par_h_c(1:n_par_h);
par_s = par_h_c(n_par_h+1:end);